=== debian/changelog ===
qevercloud (3.0.3+ds-6) unstable; urgency=high

  * Add texlive-plain-generic as build-dependency to solve
    FTBFS. (Closes: #955641)

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Apr 2020 12:49:58 -0400

qevercloud (3.0.3+ds-5) unstable; urgency=high

  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
    + Build-depends on qtbase5-dev:native. (Closes: #933208)
    + Update my maintainer email address.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Nov 2019 16:06:42 -0500

qevercloud (3.0.3+ds-4) unstable; urgency=medium

  * Expected to be the last release of qevercloud 3.x.
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed).
  * d/control: Migrate to Salsa platform for Vcs fields.
  * d/rules: Apply "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Sun, 06 May 2018 09:10:24 +0800

qevercloud (3.0.3+ds-3) unstable; urgency=medium

  * d/patches: refresh patch 0003 to fix FTBFS with gcc-7.
    (Closes: #871202)
  * d/control: bump Standards-Version to 4.0.1 (no changes needed)
  * d/control: remove Qt4-related package for upcoming Qt4 removal.
  * d/rules: review and remove Qt4 related instructions.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 18 Aug 2017 10:11:01 +0800

qevercloud (3.0.3+ds-2) unstable; urgency=medium

  * d/control: update VCS links.
  * d/control: set Multi-Arch hints.
    - set qevercloud-doc as M-A: foreign.
    - set qt5qevercloud-dev as M-A: same.
    - set qt4qevercloud-dev as M-A: same.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 14 Jan 2017 15:27:01 +0800

qevercloud (3.0.3+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #836857)

 -- Boyuan Yang <073plan@gmail.com>  Fri, 14 Oct 2016 11:01:28 +0800
