=== debian/control ===
Source: qevercloud
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake (>= 3.0.2),
 debhelper-compat (= 12),
 doxygen,
 ghostscript,
 lemon,
 libqt5webkit5-dev,
 qtbase5-dev:native,
 qttools5-dev (>= 5.2.1),
 qttools5-dev-tools (>= 5.2.1),
 texlive-binaries,
 texlive-plain-generic,
 texlive-font-utils,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/d1vanov/QEverCloud
Vcs-Git: https://salsa.debian.org/debian/qevercloud.git
Vcs-Browser: https://salsa.debian.org/debian/qevercloud

Package: libqt5qevercloud3
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Unofficial Evernote Cloud API library for Qt5
 QEverCloud presents a rather complete Evernote SDK for Qt.
 Nearly all the functionality described on the Evernote site
 is implemented and ready to use.
 .
 This library works with Qt5.

Package: qevercloud-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: QEverCloud library documentation
 QEverCloud presents a rather complete Evernote SDK for Qt.
 Nearly all the functionality described on the Evernote site
 is implemented and ready to use.
 .
 This package provides the documentation for the library.

Package: qt5qevercloud-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libqt5qevercloud3 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 qevercloud-doc,
Description: Development files for libqt5qevercloud
 QEverCloud presents a rather complete Evernote SDK for Qt.
 Nearly all the functionality described on the Evernote site
 is implemented and ready to use.
 .
 This package provides development files for libqt5qevercloud.
