=== debian/watch ===
version=4
opts="dversionmangle=s/(\+\d*)?\+ds\d*$//,pgpmode=none,repack,compression=xz,repacksuffix=+ds," https://github.com/d1vanov/QEverCloud/tags /.*/.*/.*/v?(.+)\.tar\.gz debian uupdate
